import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiCheckBoxElement } from "../../elements/StiCheckBoxElement";
import * as i0 from "@angular/core";
export declare class StiCheckBoxComponent implements OnInit {
    model: StiModelService;
    element: StiCheckBoxElement;
    isClone: boolean;
    get align(): string;
    constructor(model: StiModelService);
    disableDrag(event: any): void;
    changeState(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiCheckBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiCheckBoxComponent, "sti-checkbox-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
